/Users/bernard/b20/bsoft/include/rwBRIX.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwBRIX.h - Header file for reading and writing Brix files.

SYNOPSIS

#include 'rwimg.h'

  Macros
#define BRIXSIZE 512

  Functions
int readBRIX (Bimage *p, int readdata)
Reading a BRIX image file format.
int writeBRIX (Bimage *p)
Writing a BRIX image file format.

Detailed Description

Header file for reading and writing Brix files.

Author:
    Bernard Heymann

Date:
    Created: 19990424

    Modified: 20111217

    Format: 3D crystallographic image file format for the program 'O'

Definition in file rwBRIX.h.

Macro Definition Documentation

  #define BRIXSIZE 512

Definition at line 13 of file rwBRIX.h.

Function Documentation

  int readBRIX (Bimage * p, int readdata)

Reading a BRIX image file format.

Parameters:
    *p the image structure.
    readdata flag to activate reading of image data.

Returns:
    int error code (<0 means failure). A 3D image format intended for use with the 'O' program. It has a text header of 512 bytes (fixed size). File format extension: .brx. Identifier: ':-)' (byte 0). Data type: byte, packed as 8x8x8 pages. The header specifies the following keywords: origin: origin extent: size in pixels grid: unit cell size in pixels cell: unit cell parameters in angstroms and degrees prod: scale to convert original map to byte plus: average sigma: standard deviation of original map The voxel size is given by the unit cell size divided by the grid size (Since the unit cell size may not fit exactly onto the grid, the voxel size as calculated from the unit cell size and grid may not be accurate).

Definition at line 37 of file rwBRIX.cpp.

  int writeBRIX (Bimage * p)

Writing a BRIX image file format.

Parameters:
    *p the image structure.

Returns:
    int error code (<0 means failure). A 3D image format intended for use with the 'O' program.

Definition at line 120 of file rwBRIX.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.